dunk(1)

Name
dunk - an alternative diff view for Git that is pretty and colorful

Synopsis
dunk

Description

Dunk is meant to be used as a filter, receiving the output from git diff as its STDIN:

git diff | dunk

dunk will present a two-column, syntax-highlighted view of the differences with the Git index in the current directory.

Options

dunk does not have any options.

Examples

Given dunk works as a filter, you can specify options to git diff and dunk will work with whatever output it produces:
Dunk will work with commit ranges or specifying files or directories in your Git repository, as follows:

git diff HEAD~.. | dunk

This will present the differences between the immediately past revision to the current one.

You can also specify specific files within the repository to report:

git diff README | dunk

This will only report the differences in the README file.

For further examples, refer to the syntax of git-diff(1), dunk will work on its produced output.

See also
git-diff(1).

Homepage

More information about dunk can be found on its homepage <https://github.com/darrenburns/dunk>.

Authors

dunk was written by Darren Burns <darrenb900@gmail.com>.